GLSA-200611-14 : TORQUE: Insecure temporary file creation

This script is Copyright (C) 2006-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200611-14
(TORQUE: Insecure temporary file creation)

TORQUE creates temporary files with predictable names. Please note that
the TORQUE package shipped in Gentoo Portage is not vulnerable in the
default configuration. Only systems with more permissive access rights
to the spool directory are vulnerable.

Impact :

A local attacker could create links in the temporary file directory,
pointing to a valid file somewhere on the filesystem. This could lead
to the execution of arbitrary code with elevated privileges.

Workaround :

Ensure that untrusted users don't have write access to the spool
directory.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200611-14.xml

Solution :

All TORQUE users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=sys-cluster/torque-2.1.6'

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 23708 (gentoo_GLSA-200611-14.nasl)

Bugtraq ID:

CVE ID: CVE-2006-5677